Subject: Re: networking bugs and bugme.osdl.org

From: Ben Greear <[email-masked]>
Date: Fri, 27 Jun 2003 15:15:07 -0700

David S. Miller wrote:
>    From: Ben Greear <[email-masked]>
>    Date: Fri, 27 Jun 2003 14:54:26 -0700
>    
>    I think you are putting too much work on the bug reporter(s).
> 
> Don't even talk to me about too much work.
> 
> Someone wants me to spend hours groveling through some pieces of code
> to track down some tricky bug, for free, and all I ask is that they
> retransmit the bug every once in a while if they don't see any
> response?

I don't care if you completely ignore the bugzilla, just let the
rest of us lesser mortals use it.  There's always the chance we
will find something we can fix and actually lessen your load.

> If they're not willing to do this, they DON'T care about the bug.
> Just like if people aren't willing to retransmit patches they want
> installed, they DON'T care about the patch.  And just like I don't
> want to apply patches people don't care about, I don't want any of my
> contributors looking at bugs that the bug reporter doesn't care about.

Forcing people to continue to retransmit the same report just pisses
people off, and in the end will get you less useful reports than if
you had flagged the report as 'please-gimme-more-info'.  And, most people,
especially the savvy ones, will find some sort of work-around and keep going.
That didn't fix the problem, it just made it invisible again untill the
next person hits it.

> Ben, you absolutely don't understand how all of this development works
> and what it relies upon to function properly.

Perhaps, but it's also possible that you are being a stubborn SOB
because you fear change :)

Ben

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear